** (audacious:1621): CRITICAL **: file gtktreeviewaccessible.c: line 331 (set_cell_data): should not be
reached
Description

At first sight it looks like a problem in GTK+. And it might be that you are aware of it, because it's also related to the GtkTreeView
"cursor-changed" signal.

Steps to reproduce:

1. start with empty playlist

2. add n>=2 files to the playlist

3. select/highlight the first entry of the playlist
4. press Ctrl+A to select all entries

5. hit Delete key to remove them

"** (audacious:1621): CRITICAL **: file gtkireeviewaccessible.c: line 331 (set_cell_data): should not be reached" for each playlist
entry when

is printed n-1 times by GTK+.

It's printed when in libaudgui audgui_list_delete_rows() calls gtk_tree_model_row_deleted() for multiple rows that overlap with the
previously highlighted row and if the GtkTreeView widget has cursor focus

(gtk_tree_view_get_cursor() returns non-NULL values then) because of step 3. If one skips step 3, there is no warning. I've tried to

unset the cursor without success.

If one deletes all playlist entries one-by-one, that works.

History

#1 - February 23, 2013 16:02 - Michael Schwendt

I've filed https://bugzilla.gnome.org/show_bug.cqgi?id=694532 about this, too. Dunno whether GtkTreeView is the right component or whether
Accessibility is it instead.

#2 - February 23, 2013 20:35 - Thomas Lange

This warning is also printed when you open more than one file
and open the same files again. Selecting a directory twice works too.

#3 - February 23, 2013 23:34 - Michael Schwendt

Thomas, | cannot reproduce that.
For the test-case I've stated, there is an equivalent shorter one found by a Fedora user:

1. run "audacious" from a terminal
2. in another terminal, run "audacious file1.0gg file2.0gg" more than once and notice the warning in the first terminal

As this also removes all entries from the playlist, adds the new entries and selects the first one to play it, the GtkTreeView also gets cursor focus. And

in the same way, gtk/a11y/gtkireeviewaccessible.c runs into the situation where it wants to update something and fetch an iterator for the underlying
tree model, but that one cannot return a valid one since all rows have been removed.
https://bugzilla.gnome.org/show_bug.cgi?id=694532

#4 - February 24, 2013 23:24 - John Lindgren

I've read through this whole report without finding any mention of a bug in Audacious. Please enlighten me.

#5 - February 25, 2013 08:16 - Michael Schwendt

Well, I've opened this ticket to raise awareness, since sometimes these "CRITICAL" warnings are turned into assertions that will abort the app. So far
it's just a g_return_if_reached() with a comment that doesn't explain what's wrong.

And | want to be prepared for the "blame game". If someone returns to me and blames the app (which has happened before in other cases), | have
something to point at.

#6 - March 02, 2013 21:00 - John Lindgren

I've seen the warning in the past, but | can't reproduce this with each of the test cases mentioned, using GTK+ 3.6.4 (Arch Linux + local patches).

#7 - March 02, 2013 21:03 - John Lindgren

- Status changed from New to Rejected
